<div class="padding15">
<?php 
if (!empty($this->product)) {
    $client = new Zend_Http_Client(); 
    $validator = new Zend_Validate_File_Exists();
    $category_array = explode(";", $this->product['category_id']);
    $imagepath = IMG_URL . 'images/eshop_products/l/' . $this->product['product_id'] . '.jpg';
    $defaultpath = 'images/eshop_products/l/default-' . $category_array[0] . '.jpg';
    $client->setUri($imagepath);
    $response = $client->request(); 
    $headers = $response->getHeaders();
    
    if (isset($headers['Content-type']) && stristr($headers['Content-type'], 'image')) {
        //list($width, $height, $type, $attr) = getimagesize($imagepath);
        $size = getimagesize($imagepath);
        /*echo "<pre>";
        var_dump($size);
        echo "</pre>";*/
        $width = $size[0];
        $height = $size[1];
        ?>
        <div class="product-imageholder-big border-style" style="width: <?= $width ?>px; height: <?= $height ?>px">
            <img src="<?= $imagepath ?>" class="product-image-big" style="width: <?= $width ?>px; height: <?= $height ?>px" />        
        </div>
    <?php } else if ($validator->isValid($defaultpath)) { 
        //list($width, $height, $type, $attr) = getimagesize($defaultpath);
        $size = getimagesize($imagepath);
        $width = $size[0];
        $height = $size[1];
        ?>
        <div class="product-imageholder-big border-style" style="width: <?= $width ?>px; height: <?= $height ?>px">
            <img src="/images/eshop_products/l/default-<?= $category_id ?>.jpg" class="product-image-big" style="width: <?= $width ?>px; height: <?= $height ?>px" />        
        </div>
    <?php } else { 
        $width = '300';
        $height= '600';
        ?>
        <div class="product-imageholder-big border-style" style="width: <?= $width ?>px; height: <?= $height ?>px">
            <p style='color: whitesmoke'>&nbsp;Obrázek není k dispozici</p>            
            <!-- <?= IMG_URL . 'images/eshop_products/l/' . $this->product['product_id'] . '.jpg' ?>-->
        </div>
    <?php } 
        $textboxwidth = 590;//890 - $width;
        if ($textboxwidth < 351) {$textboxwidth = 890;}
    ?>
        <div class="bg-white floatright border-style product-text-holder" style="width: <?= $textboxwidth ?>px">
            <div class="padding10">
                <h1>
                    <?= $this->product['title'] ?>
                    <!--
                    <a href=''>
                        <span class='floatright bg-green border-style active' style='padding-left: 20px; padding-right: 20px;'>
                            Zpět
                        </span>
                    </a>-->
                </h1>
                <p><b>ID výrobku:</b> <?= $this->product['product_id'] ?></p>
                <?php
                if (!empty($this->product['producer'])) {?>
                <p><b>výrobce:</b> <?= $this->product['producer'] ?></p>
                <?php } ?>
                <p><b>zařazeno v kategoriích:</b><br/> 
                <?php 
                $subcattitles   = explode(";", $this->product['subcategory_title']); 
                //$subcatids      = explode(";", $this->product['subcategory_id']);
                    foreach ($subcattitles as $key => $value) {
                        echo $value."<br/>";
                    }       ?>
                </p>
                <?php
                if (!empty($this->product['size'])) {?>
                <p><b>objem:</b> <?= $this->product['size'] ?></p>
                <?php } ?>
                <p><b>cena:</b> <?= $this->product['price'] ?>,- kč</p>
                <p><b>info:</b></p>
                <p><?= $this->product['text'] ?></p>
                <?php if ($this->product['status'] == '1') { ?> 
                <form method='post' action='/eshop/cart/add/'>
                    <input type='hidden' name='product_id' value='<?= $this->product['product_id'] ?>'/>                    
                    <input type='hidden' name='redirect' value='<?= $_SERVER['REQUEST_URI'] ?>'/>
                    <input type='text' name='quantity' value='1' style='width: 20px'/>
                    <input type='submit' class='bg-green border-style shadowout-lite active' style='width: 160px;' value='Přidat'/>
                </form>
                <?php } else { ?>
                <div class='bg-red border-style shadowout-lite center' style='width: 170px; font-weight: bold'>není na skladě</div>
                <?php } ?>
            </div>
        </div>
        <div class="clear"></div>
    
    <?php
} else {
    echo "<p>Něco se pokazilo.</p>";
}
?>
</div>